Index: rtems-release
===================================================================
--- rtems-release	(revision 927b69557b517ecf013427f0d20cbf78be51cb62)
+++ rtems-release	(revision bcd2dd316232bdf8e7dafdaa971f33263801291e)
@@ -82,5 +82,6 @@
   build examples-v2         ${version} ${revision}
   # Hack around the repo naming.
-  mv ${release}/examples-v2-${release}.tar.xz ${release}/rtems-examples-v2-${release}.tar.xz
+  mv ${release}/examples-v2-${release}.tar.${comp_ext} \
+     ${release}/rtems-examples-v2-${release}.tar.${comp_ext}
 fi
 if [ ${rtems_libbsd} = yes ]; then
Index: rtems-release-defaults
===================================================================
--- rtems-release-defaults	(revision 927b69557b517ecf013427f0d20cbf78be51cb62)
+++ rtems-release-defaults	(revision bcd2dd316232bdf8e7dafdaa971f33263801291e)
@@ -49,4 +49,11 @@
 
 #
+# Default compression and options plus file suffix.
+#
+comp=xz --threads=0
+comp_ext=xz
+comp_tar=J
+
+#
 # Defaults.
 #
Index: rtems-release-docs
===================================================================
--- rtems-release-docs	(revision 927b69557b517ecf013427f0d20cbf78be51cb62)
+++ rtems-release-docs	(revision bcd2dd316232bdf8e7dafdaa971f33263801291e)
@@ -69,5 +69,5 @@
  echo "git archive --format=tar --prefix=${prefix}/ origin/${version}"
  git archive --format=tar --prefix=${prefix}/ origin/${version} | \
-     xz > ../${prefix}-unstamped.tar.xz
+     ${comp} > ../${prefix}-unstamped.tar.${comp_ext}
  cd ..
 
@@ -75,6 +75,6 @@
 # Stamp the source and package
 #
-echo "tar Jxf ../${prefix}-unstamped.tar.xz"
-tar Jxf ${prefix}-unstamped.tar.xz
+echo "tar ${comp_tar}xf ../${prefix}-unstamped.tar.${comp_ext}"
+tar ${comp_tar}xf ${prefix}-unstamped.tar.${comp_ext}
 
 cd ${prefix}
@@ -91,7 +91,7 @@
 
 echo "tar cf - ${prefix}"
-tar cf - ${prefix} | xz > ../${prefix}.tar.xz
+tar cf - ${prefix} | ${comp} > ../${prefix}.tar.${comp_ext}
 
-echo "Created: ${release}/${prefix}.tar.xz"
+echo "Created: ${release}/${prefix}.tar.${comp_ext}"
 
 #
@@ -109,6 +109,6 @@
 mkdir ${top}/${release}/docs
 cd install
- echo "Creating DOC all rtems-${release}-docs-all.tar.xz"
- tar cf - * > ${top}/${release}/docs/rtems-${release}-docs-all.tar.xz
+ echo "Creating DOC all rtems-${release}-docs-all.tar.${comp_ext}"
+ tar cf - * | ${comp} > ${top}/${release}/docs/rtems-${release}-docs-all.tar.${comp_ext}
  for p in $(find . -name \*.pdf)
  do
@@ -118,19 +118,20 @@
   # Compress the PDF and move it out of the way.
   #
-  echo "Creating PDF rtems-${release}-${manual}.pdf.xz"
-  xz $p
-  mv $p.xz ${top}/${release}/docs/rtems-${release}-${manual}.pdf.xz
+  echo "Creating PDF rtems-${release}-${manual}.pdf.${comp_ext}"
+  ${comp} $p
+  mv $p.${comp_ext} ${top}/${release}/docs/rtems-${release}-${manual}.pdf.${comp_ext}
   #
   # Create the single html manual
   #
-  echo "Creating SingleHTML rtems-${release}-${manual}.html.xz"
+  echo "Creating SingleHTML rtems-${release}-${manual}.html.${comp_ext}"
   mv ${base}/${manual}.html ${base}/rtems-${release}-${manual}.html
-  xz ${base}/rtems-${release}-${manual}.html
-  mv ${base}/rtems-${release}-${manual}.html.xz ${top}/${release}/docs/.
+  ${comp} ${base}/rtems-${release}-${manual}.html
+  mv ${base}/rtems-${release}-${manual}.html.${comp_ext} ${top}/${release}/docs/.
   #
   # Tar the multi-page html and install.
   #
-  echo "Creating HTML rtems-${release}-${manual}-html.tar.xz"
-  tar cf - ${base}/${manual} > ${top}/${release}/docs/rtems-${release}-${manual}-html.tar.xz
+  echo "Creating HTML rtems-${release}-${manual}-html.tar.${comp_ext}"
+  tar cf - ${base}/${manual} | \
+      ${comp} > ${top}/${release}/docs/rtems-${release}-${manual}-html.tar.${comp_ext}
  done
  cd ..
Index: rtems-release-kernel
===================================================================
--- rtems-release-kernel	(revision 927b69557b517ecf013427f0d20cbf78be51cb62)
+++ rtems-release-kernel	(revision bcd2dd316232bdf8e7dafdaa971f33263801291e)
@@ -63,6 +63,6 @@
 #
 rsb=rtems-source-builder-${release}
-echo "tar Jxf ../${rsb}.tar.xz"
-tar Jxf ../${rsb}.tar.xz
+echo "tar ${comp_tar}xf ../${rsb}.tar.${comp_ext}"
+tar ${comp_tar}xf ../${rsb}.tar.${comp_ext}
 
 #
@@ -134,7 +134,8 @@
 doxygen Doxyfile
 
-echo "Creating: rtems-doxygen-${release}.tar.xz"
+echo "Creating: rtems-doxygen-${release}.tar.${comp_ext}"
 mv cpukit_doxy/html rtems-doxygen-${release}
-tar cf - rtems-doxygen-${release} | xz > ../rtems-doxygen-${release}.tar.xz
+tar cf - rtems-doxygen-${release} | \
+    ${comp} > ../rtems-doxygen-${release}.tar.${comp_ext}
 
 exit 0
Index: rtems-release-package
===================================================================
--- rtems-release-package	(revision 927b69557b517ecf013427f0d20cbf78be51cb62)
+++ rtems-release-package	(revision bcd2dd316232bdf8e7dafdaa971f33263801291e)
@@ -128,7 +128,7 @@
 #
 echo "tar cf - ${prefix}"
-tar cf - ${prefix} | xz > ../${prefix}.tar.xz
+tar cf - ${prefix} | ${comp} > ../${prefix}.tar.${comp_ext}
 
-echo "Created: ${release}/${prefix}.tar.xz"
+echo "Created: ${release}/${prefix}.tar.${comp_ext}"
 
 #
Index: rtems-release-sources
===================================================================
--- rtems-release-sources	(revision 927b69557b517ecf013427f0d20cbf78be51cb62)
+++ rtems-release-sources	(revision bcd2dd316232bdf8e7dafdaa971f33263801291e)
@@ -85,6 +85,6 @@
  cd ${workspace}
 
-  echo "tar Jxf ../${prefix}.tar.xz"
-  tar Jxf ../${prefix}.tar.xz
+  echo "tar ${comp_tar}xf ../${prefix}.tar.${comp_ext}"
+  tar ${comp_tar}xf ../${prefix}.tar.${comp_ext}
 
   #
@@ -102,5 +102,5 @@
     for p in rtems-tools rtems
     do
-     cp ${top}/${release}/${p}-${release}.tar.xz sources/
+     cp ${top}/${release}/${p}-${release}.tar.${comp_ext} sources/
     done
     #
@@ -156,5 +156,5 @@
           prefix=$(echo ${g}-${hash} | sed 's/\./\-/')
           echo "Packaging GIT repo: ${g} to ${prefix}"
-          git archive --format=tar --prefix=${prefix}/ ${hash} | xz > ../../${prefix}.tar.xz
+          git archive --format=tar --prefix=${prefix}/ ${hash} | ${comp} > ../../${prefix}.tar.${comp_ext}
           cd ..  # ${g}
         done
